[semgrep]
    description = 'semgrep custom rules  configuration'
    targetdir = "/sgrules"
    validate = true

[[semgrep.passthrough]]
    type  = "file"
    value = ".gitlab/owasp-top-ten.yml"
    target = "owasp-top-ten.yml"

[[semgrep.passthrough]]
    type  = "file"
    value = ".gitlab/jwt.yml"
    target = "jwt.yml"

[[semgrep.passthrough]]
    type  = "file"
    value = ".gitlab/command-injection.yml"
    target = "command-injection.yml"

[[semgrep.passthrough]]
    type  = "file"
    value = ".gitlab/javascript.yml"
    target = "javascript.yml"

[[semgrep.passthrough]]
    type  = "file"
    value = ".gitlab/xss.yml"
    target = "xss.yml"

[[semgrep.passthrough]]
    type  = "file"
    value = ".gitlab/react.yml"
    target = "react.yml"

[[semgrep.passthrough]]
    type  = "file"
    value = ".gitlab/r2c-security-audit.yml"
    target = "r2c-security-audit.yml"
    
[[semgrep.passthrough]]
    type  = "file"
    value = ".gitlab/cwe-top-25.yml"
    target = "cwe-top-25.yml"

[[semgrep.passthrough]]
    type  = "file"
    value = ".gitlab/insecure-transport.yml"
    target = "insecure-transport.yml"

[[semgrep.passthrough]]
    type  = "file"
    value = ".gitlab/sec-audit.yml"
    target = "sec-audit.yml"

[[semgrep.passthrough]]
    type  = "file"
    value = ".gitlab/secrets.yml"
    target = "secrets.yml"

[[semgrep.passthrough]]
    type  = "file"
    value = ".gitlab/ci.yml"
    target = "ci.yml"

[[semgrep.passthrough]]
    type  = "file"
    value = ".gitlab/xss.yml"
    target = "xss.yml"
